<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFDataFormatter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFDataFormatter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFDataFormatter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormat.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFDataFormatter.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFDataFormatter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.ss.usermodel.DataFormatter">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFDataFormatter" class="title">Class HSSFDataFormatter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                       title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.DataFormatter</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.usermodel.HSSFDataFormatter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.util.Observer</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFDataFormatter</span>
extends <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
           title="class in org.apache.poi.ss.usermodel">DataFormatter</a></pre>
                <div class="block">HSSFDataFormatter contains methods for formatting the value stored in an
                    HSSFCell. This can be useful for reports and GUI presentations when you
                    need to display data exactly as it appears in Excel. Supported formats
                    include currency, SSN, percentages, decimals, dates, phone numbers, zip
                    codes, etc.
                    <p>
                        Internally, formats will be implemented using subclasses of <code>Format</code>
                        such as <code>DecimalFormat</code> and <code>SimpleDateFormat</code>. Therefore the
                        formats used by this class must obey the same pattern rules as these Format
                        subclasses. This means that only legal number pattern characters ("0", "#",
                        ".", "," etc.) may appear in number formats. Other characters can be
                        inserted <em>before</em> or <em> after</em> the number pattern to form a
                        prefix or suffix.
                    </p>
                    <p>
                        For example the Excel pattern <code>"$#,##0.00 "USD"_);($#,##0.00 "USD")"
                    </code> will be correctly formatted as "$1,000.00 USD" or "($1,000.00 USD)".
                        However the pattern <code>"00-00-00"</code> is incorrectly formatted by
                        DecimalFormat as "000000--". For Excel formats that are not compatible with
                        DecimalFormat, you can provide your own custom <code>Format</code> implementation
                        via <code>HSSFDataFormatter.addFormat(String,Format)</code>. The following
                        custom formats are already provided by this class:
                    </p>
                    <pre>
 <ul><li>SSN "000-00-0000"</li>
     <li>Phone Number "(###) ###-####"</li>
     <li>Zip plus 4 "00000-0000"</li>
 </ul>
 </pre>
                    <p>
                        If the Excel format pattern cannot be parsed successfully, then a default
                        format will be used. The default number format will mimic the Excel General
                        format: "#" for whole numbers and "#.##########" for decimal numbers. You
                        can override the default format pattern with <code>
                        HSSFDataFormatter.setDefaultNumberFormat(Format)</code>. <b>Note:</b> the
                        default format will only be used when a Format cannot be created from the
                        cell's data format string.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormatter.html#HSSFDataFormatter--">HSSFDataFormatter</a></span>()</code>
                                    <div class="block">Creates a formatter using the <code>default locale</code>.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormatter.html#HSSFDataFormatter-java.util.Locale-">HSSFDataFormatter</a></span>(java.util.Locale&nbsp;locale)</code>
                                    <div class="block">Creates a formatter using the given locale.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.DataFormatter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                        title="class in org.apache.poi.ss.usermodel">DataFormatter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#addFormat-java.lang.String-java.text.Format-">addFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#createFormat-org.apache.poi.ss.usermodel.Cell-">createFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatCellValue-org.apache.poi.ss.usermodel.Cell-">formatCellValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.FormulaEvaluator-">formatCellValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.FormulaEvaluator-org.apache.poi.ss.formula.ConditionalFormattingEvaluator-">formatCellValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatRawCellContents-double-int-java.lang.String-">formatRawCellContents</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatRawCellContents-double-int-java.lang.String-boolean-">formatRawCellContents</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#getDefaultFormat-org.apache.poi.ss.usermodel.Cell-">getDefaultFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#getLocaleChangedObservable--">getLocaleChangedObservable</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#setDefaultNumberFormat-java.text.Format-">setDefaultNumberFormat</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#setExcelStyleRoundingMode-java.text.DecimalFormat-">setExcelStyleRoundingMode</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#setExcelStyleRoundingMode-java.text.DecimalFormat-java.math.RoundingMode-">setExcelStyleRoundingMode</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#update-java.util.Observable-java.lang.Object-">update</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFDataFormatter-java.util.Locale-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFDataFormatter</h4>
                                <pre>public&nbsp;HSSFDataFormatter(java.util.Locale&nbsp;locale)</pre>
                                <div class="block">Creates a formatter using the given locale.</div>
                            </li>
                        </ul>
                        <a name="HSSFDataFormatter--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFDataFormatter</h4>
                                <pre>public&nbsp;HSSFDataFormatter()</pre>
                                <div class="block">Creates a formatter using the <code>default locale</code>.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFDataFormatter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormat.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFDataFormatter.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFDataFormatter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.ss.usermodel.DataFormatter">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
